sailpoint.object

## Class ProvisioningPlan.GenericRequest

- java.lang.Object
- - AbstractXmlObject
  - - sailpoint.object.ProvisioningPlan.GenericRequest

Direct Known Subclasses:
  ProvisioningPlan.AttributeRequest

Enclosing class:
  ProvisioningPlan

    public abstract static class ProvisioningPlan.GenericRequest
    extends AbstractXmlObject

### Constructor Summary

Constructors
Constructor and Description
`GenericRequest()`
`GenericRequest(ProvisioningPlan.GenericRequest src)`

### Method Summary

All Methods Instance Methods Abstract Methods Concrete Methods
`ProvisioningPlan.GenericRequest` `clone()`
`void` `clone(ProvisioningPlan.GenericRequest src)`
`java.lang.Object` `get(java.lang.String name)`
`Attributes<java.lang.String,java.lang.Object>` `getArgs()`
`Attributes<java.lang.String,java.lang.Object>` `getArguments()`
`java.lang.String` `getComments()`
`java.lang.String` `getDisplayValue()`
`java.lang.String` `getName()`
`ProvisioningPlan.Operation` `getOp()`
`ProvisioningPlan.Operation` `getOperation()`
`ProvisioningResult` `getResult()`
`java.lang.Object` `getValue()`
`abstract ProvisioningPlan.GenericRequest` `instantiate()`
`abstract boolean` `isSecret()`
`void` `put(java.lang.String name, java.lang.Object value)`
`void` `setArgs(Attributes<java.lang.String,java.lang.Object> atts)`
`void` `setArguments(Attributes<java.lang.String,java.lang.Object> atts)`
`void` `setAssignment(boolean b)`
`void` `setComments(java.lang.String c)`
`void` `setName(java.lang.String s)`
`void` `setOp(ProvisioningPlan.Operation op)`
`void` `setOperation(ProvisioningPlan.Operation op)`
`void` `setValue(java.lang.Object o)`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### GenericRequest

    public GenericRequest()

#### GenericRequest

    public GenericRequest(ProvisioningPlan.GenericRequest src)

### Method Detail

#### instantiate

    public abstract ProvisioningPlan.GenericRequest instantiate()

#### clone

    public void clone(ProvisioningPlan.GenericRequest src)

#### clone

    public ProvisioningPlan.GenericRequest clone()

#### getName

    public java.lang.String getName()

#### setName

    public void setName(java.lang.String s)

#### getDisplayValue

    public java.lang.String getDisplayValue()

#### getValue

    public java.lang.Object getValue()

#### setValue

    public void setValue(java.lang.Object o)

#### getOp

    public ProvisioningPlan.Operation getOp()

#### setOp

    public void setOp(ProvisioningPlan.Operation op)

#### getOperation

    public ProvisioningPlan.Operation getOperation()

#### setOperation

    public void setOperation(ProvisioningPlan.Operation op)

#### getResult

    public ProvisioningResult getResult()

#### setArguments

    public void setArguments(Attributes<java.lang.String,java.lang.Object> atts)

#### setArgs

    public void setArgs(Attributes<java.lang.String,java.lang.Object> atts)

#### getArgs

    public Attributes<java.lang.String,java.lang.Object> getArgs()

#### getArguments

    public Attributes<java.lang.String,java.lang.Object> getArguments()

#### put

    public void put(java.lang.String name,
                    java.lang.Object value)

#### get

    public java.lang.Object get(java.lang.String name)

#### getComments

    public java.lang.String getComments()

#### setComments

    public void setComments(java.lang.String c)

#### setAssignment

    public void setAssignment(boolean b)

#### isSecret

    public abstract boolean isSecret()